/***************************************************************************
	eXynth GUI library
	(C) 2010 Anti Sullin / Artec Design <anti.sullin@artecdesign.ee>

	Based on xynth library:
    (C) 2003 - 2008 by Alper Akcan <distchx@yahoo.com>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation; either version 2.1 of the  *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 ***************************************************************************/

#ifndef RECT_H_
#define RECT_H_

#if defined(__cplusplus)
	extern "C" {
#endif

/** rect struct
  */
typedef struct s_rect_s {
	int x;
	int y;
	int w;
	int h;
} s_rect_t;

int s_rect_merge (s_rect_t *r1, s_rect_t *r2, s_rect_t *r);
int s_rect_intersect (s_rect_t *r1, s_rect_t *r2, s_rect_t *r);
int s_rect_clip_virtual (s_surface_t *surface, int x, int y, int w, int h, s_rect_t *coor);
int s_rect_clip_real (s_surface_t *surface, int x, int y, int w, int h, s_rect_t *coor);

#if defined(__cplusplus)
	}
#endif

#endif /* RECT_H_ */
